Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 724200 - app-arch/zip-3.0-r4: stabilisation (was: app-arch/zip-3.0-r4: stuck on ancient EAPI 4)
Summary: app-arch/zip-3.0-r4: stabilisation (was: app-arch/zip-3.0-r4: stuck on ancien...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: CC-ARCHES, STABLEREQ
Depends on:
Blocks: EAPI4Removal
  Show dependency tree
 
Reported: 2020-05-19 22:32 UTC by Sam James
Modified: 2020-09-06 16:46 UTC (History)
0 users

See Also:
Package list:
app-arch/zip-3.0-r4
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-05-19 22:32:35 UTC
Please port to EAPI 7.
Comment 1 Larry the Git Cow gentoo-dev 2020-07-24 10:28:10 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5d4f58c114d6a52db7a73c5493b0e82e5119ed7

commit c5d4f58c114d6a52db7a73c5493b0e82e5119ed7
Author:     Volkmar W. Pogatzki <gentoo@pogatzki.net>
AuthorDate: 2020-06-10 19:26:23 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2020-07-24 10:28:05 +0000

    app-arch/zip: EAPI 7
    
    Closes: https://bugs.gentoo.org/724200
    
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net>
    Closes: https://github.com/gentoo/gentoo/pull/16171
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 app-arch/zip/files/zip-3.0-format-security.patch |  4 +-
 app-arch/zip/files/zip-3.0-natspec.patch         | 28 +++++-----
 app-arch/zip/files/zip-3.0-no-crypt.patch        |  8 +--
 app-arch/zip/files/zip-3.0-pic.patch             |  4 +-
 app-arch/zip/files/zip-3.0-zipnote-freeze.patch  | 14 ++---
 app-arch/zip/zip-3.0-r4.ebuild                   | 66 ++++++++++++++++++++++++
 6 files changed, 95 insertions(+), 29 deletions(-)
Comment 2 Sam James archtester gentoo-dev Security 2020-07-24 14:52:42 UTC
We'll use this bug for the (later) stabilisation.
Comment 3 Sam James archtester gentoo-dev Security 2020-08-17 04:55:01 UTC
arm done
Comment 4 Sam James archtester gentoo-dev Security 2020-08-17 05:18:40 UTC
arm64 done
Comment 5 Agostino Sarubbo gentoo-dev 2020-08-18 11:17:13 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2020-08-18 11:24:01 UTC
x86 stable
Comment 7 Agostino Sarubbo gentoo-dev 2020-08-18 16:52:21 UTC
s390 stable
Comment 8 Agostino Sarubbo gentoo-dev 2020-08-18 16:53:21 UTC
sparc stable
Comment 9 Sam James archtester gentoo-dev Security 2020-08-29 21:10:20 UTC
ppc done
Comment 10 Sam James archtester gentoo-dev Security 2020-08-31 19:47:39 UTC
ppc64 done
Comment 11 Sergei Trofimovich gentoo-dev 2020-09-06 08:18:21 UTC
hppa stable

Last arch. Closing.
Comment 12 Larry the Git Cow gentoo-dev 2020-09-06 16:46:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=89ac01c68078ebb55480ddad6084f65e76150f76

commit 89ac01c68078ebb55480ddad6084f65e76150f76
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-09-06 16:39:10 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-09-06 16:45:41 +0000

    app-arch/zip: Drop 3.0-r3
    
    Closes: https://bugs.gentoo.org/724200
    Package-Manager: Portage-3.0.5, Repoman-3.0.1
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 app-arch/zip/zip-3.0-r3.ebuild | 62 ------------------------------------------
 1 file changed, 62 deletions(-)